import pandas as pd

# Read the Excel file into a pandas dataframe
df = pd.read_excel('input.xlsx')

# Create a dictionary to store the unique column names and their corresponding data
columns_dict = {}

# Loop through each column in the dataframe
for col in df.columns:
    # Get the unique land use codes in the column
    land_uses = sorted(col.split())
    
    # Create a key for the dictionary by concatenating the land use codes in alphabetical order
    key = '_'.join(land_uses)
    
    # If the key already exists in the dictionary, append the column data to the existing value
    if key in columns_dict:
        columns_dict[key] += df[col]
    # Otherwise, create a new key-value pair in the dictionary
    else:
        columns_dict[key] = df[col]

# Create a new dataframe from the dictionary
new_df = pd.DataFrame(columns_dict)

# Add the first column from the original dataframe to the new dataframe
new_df[df.columns[0]] = df[df.columns[0]]

# Save the new dataframe to a new Excel file
new_df.to_excel('ouuput.xlsx', index=False)
